name: Michel Edwards
locality: 
country: Remote
role: <a href="">Account Executive (Mid-Market, ), US East</a>
reports_to: stevexu
picture: ../gitlab-logo-extra-whitespace.png
pronouns:
pronunciation:
twitter:
linkedin:
gitlab: michel4
departments:
  - MM
specialty: "Mid Market"
expertise:
story:

